# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define		module	django
Summary:	The web framework for perfectionists with deadlines
Summary(pl.UTF-8):	Szkielet WWW dla perfekcjonistów z ograniczeniami czasowymi
Name:		python-%{module}
Version:	1.6.1
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	http://www.djangoproject.com/m/releases/1.6/Django-%{version}.tar.gz
# Source0-md5:	3ea7a00ea9e7a014e8a4067dd6466a1b
Patch0:		%{name}-pyc.patch
URL:		http://www.djangoproject.com/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-distribute
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	sphinx-pdg
%pyrequires_eq	python
Requires:	python-modules
Suggests:	python-devel-tools
Suggests:	python-MySQLdb
Suggests:	python-PyGreSQL
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Django is a high-level Python Web framework that encourages rapid
development and clean, pragmatic design.

%description -l pl.UTF-8
Django to wysokopoziomowy szkielet dla serwisów WWW w Pythonie
wspierający szybkie tworzenie i czysty, pragmatyczny projekt.

%package -n python3-%{module}
Summary:	The web framework for perfectionists with deadlines
Summary(pl.UTF-8):	Szkielet WWW dla perfekcjonistów z ograniczeniami czasowymi
Group:		Libraries/Python
%pyrequires_eq	python3
Requires:	python3-modules
Suggests:	python3-devel-tools
#Suggests:	python3-MySQLdb  # not available yet
Suggests:	python3-psycopg2

%description -n python3-%{module}
Django is a high-level Python Web framework that encourages rapid
development and clean, pragmatic design.

%description -n python3-%{module} -l pl.UTF-8
Django to wysokopoziomowy szkielet dla serwisów WWW w Pythonie
wspierający szybkie tworzenie i czysty, pragmatyczny projekt.

%package doc
Summary:	Documentation on Django
Summary(de.UTF-8):	Dokumentation zu Django
Summary(es.UTF-8):	Documentación para Django
Summary(fr.UTF-8):	Documentation sur Django
Summary(pl.UTF-8):	Dokumentacja do Django
Group:		Documentation

%description doc
Documentation on Django.

%description doc -l pl.UTF-8
Dokumentacja do Django.

%prep
%setup -q -n Django-%{version}
%patch0 -p1

%build
%{__python} setup.py build
%{__make} -C docs html

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}

%if %{with python2}
%{__python} setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
cp $RPM_BUILD_ROOT%{_bindir}/{django-admin.py,py2-django-admin}
%endif

%if %{with python3}
%{__python3} setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
cp $RPM_BUILD_ROOT%{_bindir}/{django-admin.py,py3-django-admin}
%if %{with python2}
# default to python2 if built
cp $RPM_BUILD_ROOT%{_bindir}/{py2-django-admin,django-admin.py}
%endif
%endif

find $RPM_BUILD_ROOT -type f -name '*.py[co]' | xargs rm
find $RPM_BUILD_ROOT -type f -exec sed -i -e "s#$RPM_BUILD_ROOT##g" "{}" ";"

%if %{with python2}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}

# %%py_postclean (only for python2!)
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name '*.py' -a -not -path '*_template*' | xargs rm
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -path '*_template*' -a -name '*.py[oc]' | xargs rm
%endif

%if %{with python3}
%py3_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py3_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%endif

ln -sf python-django-doc-%{version} $RPM_BUILD_ROOT%{_docdir}/python-django-doc
rm -rf docs/_build/html/_sources

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/django-admin.py
%attr(755,root,root) %{_bindir}/py2-django-admin
%{py_sitescriptdir}/%{module}*
%{py_sitescriptdir}/Django-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%if %{without python2}
%attr(755,root,root) %{_bindir}/django-admin.py
%endif
%attr(755,root,root) %{_bindir}/py3-django-admin
%{py3_sitescriptdir}/%{module}*
%{py3_sitescriptdir}/Django-*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc docs/_build/html
%{_docdir}/python-django-doc
%changelog
* Sat Dec 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-django.git;a=log;h=master

* Sat Dec 14 2013 Jan Rękorajski <baggins@pld-linux.org> c825b42
- up to 1.6.1

* Thu Nov 14 2013 Jan Rękorajski <baggins@pld-linux.org> 5944c5c
- up to 1.6

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 97a926d
- up to 1.5.5

* Tue Oct 15 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> acf565b
- S: python-devel-tools

* Tue Oct 15 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> a0fa853
- Requires: python-modules

* Tue Oct 15 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> f677764
- Version: 1.5.4

* Mon May 20 2013 Jacek Konieczny <jajcus@jajcus.net> 24d19ba
- Epoch fixed in Python dependencies

* Fri May 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> d2a760e
- Version: 1.5.1

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 70ed983
- up to 1.4.3

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> e6b2853
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> adda894
- up to 1.4.2, verbose bindir

* Thu May 10 2012 Jacek Konieczny <jajcus@pld-linux.org> 6ef5a50
- python-Pygments requirement dropped - wrong module name and not used directly (already required by sphinx-pdg)

* Mon May 07 2012 Tomasz Pala <gotar@pld-linux.org> 829edfc
- upgraded to 1.4

* Mon Sep 12 2011 witekfl <witekfl@pld-linux.org> 2f759db
- up to 1.3.1

* Tue Jun 21 2011 lisu <lisu@pld-linux.org> 88dabf2
- BR: python-Pygments >= 0.8

* Tue Apr 26 2011 witekfl <witekfl@pld-linux.org> 5087193
- 1.3

* Mon Feb 28 2011 Jan Palus <jan.palus@gmail.com> 2249cb2
- up to 1.2.5

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 57398bc
- release 2

* Sun Sep 12 2010 Patryk Zawadzki <patrys@room-303.com> 213d6af
- 1.2.3

* Fri Jul 23 2010 witekfl <witekfl@pld-linux.org> 36477d4
- 1.2.1
- doc subpackage with generated docs
- BR: sphinx-pdg

